Module tdlight.api
Package it.tdlight.jni

# Class TdApi.NetworkStatistics

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.NetworkStatistics

Enclosing class:
  TdApi

public static final class TdApi.NetworkStatistics extends TdApi.Object
A full list of available network statistic entries.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`TdApi.NetworkStatisticsEntry[]`
`entries`
Network statistics entries.
`int`
`sinceDate`
Point in time (Unix timestamp) from which the statistics are collected.

## Constructor Summary

Constructors
Constructor
Description
`NetworkStatistics()`
A full list of available network statistic entries.
`NetworkStatistics(int sinceDate, TdApi.NetworkStatisticsEntry[] entries)`
A full list of available network statistic entries.
`NetworkStatistics(DataInput input)`
A full list of available network statistic entries.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### sinceDate

public int sinceDate
Point in time (Unix timestamp) from which the statistics are collected.

### entries

public TdApi.NetworkStatisticsEntry[] entries
Network statistics entries.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### NetworkStatistics

public NetworkStatistics()
A full list of available network statistic entries.

### NetworkStatistics

public NetworkStatistics(int sinceDate, TdApi.NetworkStatisticsEntry[] entries)
A full list of available network statistic entries.

Parameters:
  `sinceDate` - int Point in time (Unix timestamp) from which the statistics are collected.
  `entries` - NetworkStatisticsEntry[] Network statistics entries.

### NetworkStatistics

public NetworkStatistics(DataInput input) throws IOException
A full list of available network statistic entries.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`